# DataExchange
TKIGES
IGESDefs

# IGESDefs_HArray1OfHArray1OfTextDisplayTemplate Class Reference

`#include <IGESDefs_HArray1OfHArray1OfTextDisplayTemplate.hxx>`

## Public Member Functions

Standard_EXPORT | IGESDefs_HArray1OfHArray1OfTextDisplayTemplate (const Standard_Integer low, const Standard_Integer up)
Standard_EXPORT Standard_Integer | Lower () const
Standard_EXPORT Standard_Integer | Upper () const
Standard_EXPORT Standard_Integer | Length () const
Standard_EXPORT void | SetValue (const Standard_Integer num, const Handle(IGESGraph_HArray1OfTextDisplayTemplate)&val)
Standard_EXPORT Handle_IGESGraph_HArray1OfTextDisplayTemplate | Value (const Standard_Integer num) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TColStd_Array1OfTransient | thelist

## Constructor & Destructor Documentation

Standard_EXPORT IGESDefs_HArray1OfHArray1OfTextDisplayTemplate::IGESDefs_HArray1OfHArray1OfTextDisplayTemplate | ( | const Standard_Integer | low,
|  | const Standard_Integer | up
| ) |

## Member Function Documentation

Standard_EXPORT const IGESDefs_HArray1OfHArray1OfTextDisplayTemplate::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_Integer IGESDefs_HArray1OfHArray1OfTextDisplayTemplate::Length | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESDefs_HArray1OfHArray1OfTextDisplayTemplate::Lower | ( |  | ) | const

Standard_EXPORT void IGESDefs_HArray1OfHArray1OfTextDisplayTemplate::SetValue | ( | const Standard_Integer | num,
|  | const Handle(IGESGraph_HArray1OfTextDisplayTemplate)& | val
| ) |

Standard_EXPORT Standard_Integer IGESDefs_HArray1OfHArray1OfTextDisplayTemplate::Upper | ( |  | ) | const

Standard_EXPORT Handle_IGESGraph_HArray1OfTextDisplayTemplate IGESDefs_HArray1OfHArray1OfTextDisplayTemplate::Value | ( | const Standard_Integer | num | ) | const

## Field Documentation

TColStd_Array1OfTransient IGESDefs_HArray1OfHArray1OfTextDisplayTemplate::thelist `[private]`

The documentation for this class was generated from the following file:

- IGESDefs_HArray1OfHArray1OfTextDisplayTemplate.hxx